Pharmacokinetics:
  Biodegradability:
    dir: &dir_bio "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/Biodegradability/"
    BIO:
      - filename: "admetsar_BIO.xls"
        task: "clf"
        dir: *dir_bio
        smiles_col: "SMILES"
        unit:
        target_cols: ["Labels"]
        short_cols:
          SMILES: "SMILES"
          CLASS: "Labels"
        opt_label: 0
        open_kwargs: {}
        opt_kwargs:
          value: 1
          type:
        ref: "10.1093/bioinformatics/bty707"

  Dosage:
    MRTD:
      - filename: "MaximumRecommendedTherapeuticDose.csv"
        task: "reg"
        dir: "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/Dosage/"
        smiles_col: "Smiles"
        unit: "mol/kg-body weight/day"
        type:
        target_cols: ["Property"]
        short_cols:
          SMILES: "Smiles"
          ACTIVITY: "Property"
        open_kwargs: {}
        opt_kwargs: {}
        ref: "10.1093/bioinformatics/bty707"

  HalfLife:
    HL:
      - filename: "AID_540213_datatable_all.csv"
        task: "reg"
        dir: "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/HalfLife/"
        smiles_col: "Smiles"
        unit: "hr"
        type:
        target_cols: ["Standard Value"]
        short_cols:
          CID: "PUBCHEM_CID"
          ACTIVITY: "Standard Value"
        open_kwargs: {}
        opt_kwargs:
          value:
          type:
        ref: "AID_540213"
        note: "Terminal phase half-life"

  Solubility:
    AqueousSolubility:
      dir: &dir_logS_ph74 "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/Solubility/AqueousSolubility/Ph74"
      pH7.4:
        - filename: "admetsar_logS.txt"
          task: "reg"
          dir: *dir_logS_ph74
          smiles_col: "SMILES"
          unit:
          type:
          target_cols: ["LogS"]
          short_cols:
            SMILES: "SMILES"
            ACTIVITY: "LogS"
            ref: "Reference"
          open_kwargs:
            sep: "\t"
          opt_kwargs:
            value: -4
            type: 'HI'
          ref: "10.1093/bioinformatics/bty707"

        - filename: "AqSolDB_model_logS.csv"
          task: "reg"
          dir: *dir_logS_ph74
          smiles_col: "Smiles"
          unit: "log(mol/L)"
          target_cols: ["Activity"]
          short_cols:
#            ID: "ID"
            SMILES: "SMILES"
            ACTIVITY: "Activity"
          open_kwargs:
            sep: ";"
          opt_kwargs:
            value: -4 # no optimal
            type: 'HI'
          ref: "10.1038/s41597-019-0151-1"

        - filename: "CHEMBL3301364_logS.csv"
          task: "reg"
          dir: *dir_logS_ph74
          smiles_col: "SMILES"
          unit: "log(mol/L)"
          type:
          target_cols: ["Activity"]
          short_cols:
#            ID: "ID"
            SMILES: "SMILES"
            ACTIVITY: "Activity"
          open_kwargs:
            sep: ";"
          opt_kwargs:
            value: -4 # no optimal
            type: 'HI'
          ref: "CHEMBL3301364"

        - filename: "cyclica_logS.xls"
          task: "reg"
          dir: *dir_logS_ph74
          smiles_col: "SMILES"
          unit: "log(mol/L)"
          type:
          target_cols: ["Activity"]
          short_cols:
#            ID: "Name"
            SMILES: "Smiles"
            ACTIVITY: "Expt."
          open_kwargs:
            skip_rows: 2
          opt_kwargs:
            value: -4 # no optimal
            type: 'HI'
          ref: "Cyclica"

        - filename: "delaney.csv"
          task: "reg"
          dir: *dir_logS_ph74
          smiles_col: "Smiles"
          unit:  "log(mol/L)"
          type:
          target_cols: ["measured log solubility in mols per litre"]
          short_cols:
#            ID: "Compound ID"
            SMILES: "smiles"
            ACTIVITY: "measured log solubility in mols per litre"
          open_kwargs: {}
          opt_kwargs:
            value: -4 # no optimal
            type: 'HI'
          ref: "ESOL - Delaney"

    HydrationFreeEnergies:
      dir: &dir_free "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/Solubility/HydrationFreeEnergies"
      FreeSolv:
        - filename: "freesolv.csv"
          task: "reg"
          dir: *dir_free
          smiles_col: "smiles"
          unit: "kcal/mol"
          target_cols: ["expt"]
          short_cols:
            SMILES: "smiles"
            ACTIVITY: "expt"
          open_kwargs:
            sep: ","
          ref: "10.1007/s10822-014-9747-x"
          opt_kwargs:
            value: -7.5
            type: 'HI'

    Lipophilicity:
      dir: &dir_logD "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/Solubility/Lipophilicity"
      pH7.4:
        - filename: "CHEMBL3301363_logD.csv"
          task: "reg"
          dir: *dir_logD
          smiles_col: "SMILES"
          unit:
          note: "logD at pH 7.4"
          target_cols: ["Activity"]
          short_cols:
#            ID: "ID"
            SMILES: "SMILES"
            ACTIVITY: "Activity"
          open_kwargs:
            sep: ";"
          opt_kwargs:
            value: 3
            type: 'LO'
          ref: "CHEMBL3301363"

        - filename: "CHEMBL_logD.csv"
          task: "reg"
          dir: *dir_logD
          smiles_col: "SMILES"
          unit:
          note: "logD at pH 7.4"
          target_cols: ["Activity"]
          short_cols:
#            ID: "ID"
            SMILES: "SMILES"
            ACTIVITY: "Activity"
          open_kwargs:
            sep: ";"
          opt_kwargs:
            value: 3
            type: 'LO'
          ref: "CHEMBL"

        - filename: "Lipophilicity.csv"
          task: "reg"
          dir: *dir_logD
          smiles_col: "smiles"
          unit:
          target_cols: ["exp"]
          short_cols:
            SMILES: "smiles"
            ACTIVITY: "exp"
          open_kwargs: {}
          opt_kwargs:
            value: 3
            type: 'LO'
          ref: "10.1088/2632-2153/ab891b"

    LogP:
      dir: &dir_logP "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/Solubility/LogP"
      pH7.4:
        - filename: "CHEMBL_logP7.4.csv"
          task: "reg"
          dir: *dir_logP
          smiles_col: "SMILES"
          unit:
          type:
          note: "logP at pH 7.4"
          target_cols: ["Activity"]
          short_cols:
#            ID: "ID"
            SMILES: "SMILES"
            ACTIVITY: "Activity"
          open_kwargs:
            sep: ";"
          opt_kwargs:
            value: [−0.4, 5.6]
            type: 'JW'
          ref: "CHEMBL"

  ChemicalStability:
    dir: &dir_stab "s3://datasets-ressources/PADMET_Panel/Pharmacokinetics/Stability"
    Stability:
      - filename: "stability_1.sdf"
        task: "both"
        dir: *dir_stab
        smiles_col: "SMILES"
        unit: "min"
        type:
        target_cols: ["Half-Life in MLM minutes"]
        short_cols:
          CID: "PUBCHEM_COMPOUND_CID"
          ACTIVITY: "Half-Life in MLM minutes"
          CLASS: "Stable"
          ref: "Reference for HalfLife_AID_num"
        open_kwargs: {}
        opt_kwargs:
          value: 60 # no optimal
          type: 'HI'
      - filename: "stability_2.sdf"
        task: "both"
        dir: *dir_stab
        smiles_col: "SMILES"
        unit: "min"
        type:
        target_cols: ["Half-Life in MLM minutes"]
        short_cols:
          CID: "PUBCHEM_COMPOUND_CID"
          ACTIVITY: "Half-Life in MLM minutes"
          CLASS: "Stable"
          ref: "Reference for HalfLife_AID_num"
        open_kwargs: {}
        opt_kwargs:
          value: 60 # no optimal
          type: 'HI'
      - filename: "stability_3.sdf"
        task: "clf"
        dir: *dir_stab
        smiles_col: "SMILES"
        unit:
        type:
        target_cols: ["stable"]
        short_cols:
          Name: "Name"
          CLASS: "Stable"
        open_kwargs: {}
        opt_kwargs:
          value: 60 # no optimal
          type: 'HI'

      - filename: "stability_4.sdf"
        task: "both"
        dir: *dir_stab
        smiles_col: "SMILES"
        unit: "pct"
        type:
        target_cols: ["Half-Life in MLM minutes"]
        short_cols:
          CID: "PUBCHEM_COMPOUND_CID"
          ACTIVITY: "Prcnt Cmpd Left MLM"
          CLASS: "Stable"
          ref: "Reference for Prcnt Cmpd Left_AID_num"
        open_kwargs: {}
        opt_kwargs:
          value: 60 # no optimal
          type: 'HI'

      - filename: "stability_5.sdf"
        task: "both"
        dir: *dir_stab
        smiles_col: "SMILES"
        unit: "pct"
        type:
        target_cols: ["Half-Life in MLM minutes"]
        short_cols:
          CID: "PUBCHEM_COMPOUND_CID"
          ACTIVITY: "Prcnt Cmpd Left MLM"
          CLASS: "Stable"
          ref: "Reference for Prcnt Cmpd Left_AID_num"
        open_kwargs: {}
        opt_kwargs:
          value: 60 # no optimal
          type: 'HI'